﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SQLite;

namespace Taxi
{
    public partial class frm_customers : Form
    {
        public frm_customers()
        {
            InitializeComponent();
        }

        SQLiteConnection conn = new SQLiteConnection("Data Source=taxidb.db;Version=3");
        public void select_tbl_customers()
        {
            string QuerySelect = "select * from tbl_customers";
            SQLiteCommand cmd = new SQLiteCommand(QuerySelect, conn);
            SQLiteDataAdapter da = new SQLiteDataAdapter(cmd);
            DataTable dt = new DataTable();
            da.Fill(dt);
            dgv.DataSource = dt;
            bindingSource1.DataSource = dt;
        }

        public void newform()
        {
            txt_name.Text = "";
            txt_family.Text = "";
            txt_tell.Text = "";
            txt_mob.Text = "";
            txt_address.Text = "";
        }



        private void frm_customers_Load(object sender, EventArgs e)
        {
            select_tbl_customers();
        }

        private void btn_sabt_Click(object sender, EventArgs e)
        {
            try
            {

                if (txt_family.Text != "" && txt_tell.Text != "" && txt_address.Text != "")
                {
                    string queryInsert = "insert into tbl_customers (name,family,tell,mob,address) values(@name,@family,@tell,@mob,@address)";
                    SQLiteCommand cmd = new SQLiteCommand(queryInsert, conn);
                    cmd.Parameters.AddWithValue("@name", txt_name.Text);
                    cmd.Parameters.AddWithValue("@family", txt_family.Text);
                    cmd.Parameters.AddWithValue("@tell", txt_tell.Text);
                    cmd.Parameters.AddWithValue("@mob", txt_mob.Text);
                    cmd.Parameters.AddWithValue("@address", txt_address.Text);
                    conn.Open();
                    cmd.ExecuteNonQuery();
                    conn.Close();
                    select_tbl_customers();
                    MessageBox.Show("مشترک جدید با موفقیت اضافه شد", "پیغام", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    newform();
                }
                else
                {
                    MessageBox.Show("لطفا ورودی ها را با اطلاعات صحیح پر نمایید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                }
            }
            catch (Exception error)
            {
                MessageBox.Show(error.Message+ "\n\rقبلا یک مشترک با این مشخصات ثبت شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
        }

        private void dgv_SelectionChanged(object sender, EventArgs e)
        {
            try
            {
                txt_edit_name.Text = dgv.CurrentRow.Cells["name"].Value.ToString();
                txt_edit_family.Text = dgv.CurrentRow.Cells["family"].Value.ToString();
                txt_edit_tell.Text = dgv.CurrentRow.Cells["tell"].Value.ToString();
                txt_edit_mob.Text = dgv.CurrentRow.Cells["mob"].Value.ToString();
                txt_edit_address.Text = dgv.CurrentRow.Cells["address"].Value.ToString();
                //////////////////////////////////////////////////////////////////////////
                dgv.Columns[1].HeaderText = "نام";
                dgv.Columns[2].HeaderText = "نام خانوادگی";
                dgv.Columns[3].HeaderText = "تلفن / کد اشتراک";
                dgv.Columns[4].HeaderText = "موبایل";
                dgv.Columns[5].HeaderText = "آدرس";
                ////////////////////////////////////////////////////////////////////////
                dgv.Columns["radif"].Width = 50;
                dgv.Columns["name"].Width = 80;
                dgv.Columns["family"].Width = 100;
                dgv.Columns["tell"].Width = 100;
                dgv.Columns["mob"].Width = 80;
                dgv.Columns["address"].Width = 214;
                ///////////////////////////////////////////////////////////////////////////
                dgv.AlternatingRowsDefaultCellStyle.BackColor = Color.Silver;
            }
            catch { }
           
        }

        private void btn__Click(object sender, EventArgs e)
        {
            DialogResult result;
            result = MessageBox.Show("آیا از حذف مشترک انتخاب شده مطمعن هستید؟", "سوال؟", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (result == DialogResult.Yes)
            {
                try
                {
                    string querydelete = "delete from tbl_customers where tell=@tell";
                    SQLiteCommand cmd = new SQLiteCommand(querydelete, conn);
                    cmd.Parameters.AddWithValue("@tell", txt_edit_tell.Text);
                    conn.Open();
                    cmd.ExecuteNonQuery();
                    conn.Close();
                    select_tbl_customers();
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                }
                MessageBox.Show("مشترک انتخاب شده با موفقیت حذف گردید", "تایید حذف مشترک", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
        }

        private void btn_edit_Click(object sender, EventArgs e)
        {
            try
            {
                if (txt_edit_family.Text != "" && txt_edit_tell.Text != "" && txt_edit_address.Text != "")
                {
                    DialogResult result;
                    result = MessageBox.Show("آیا مطمئن هستید که میخواهید اطلاعات مشترک انتخاب شده را تغییر دهید؟", "سوال؟", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
                    if (result == DialogResult.Yes)
                    {
                        string queryUpdate = "update tbl_customers set  name=@name, family=@family, tell=@tell, mob=@mob, address=@address where tell=@tell";
                        SQLiteCommand cmd = new SQLiteCommand(queryUpdate, conn);
                        cmd.Parameters.AddWithValue("@name", txt_edit_name.Text);
                        cmd.Parameters.AddWithValue("@family", txt_edit_family.Text);
                        cmd.Parameters.AddWithValue("@tell", txt_edit_tell.Text);
                        cmd.Parameters.AddWithValue("@mob", txt_edit_mob.Text);
                        cmd.Parameters.AddWithValue("@address", txt_edit_address.Text);
                        conn.Open();
                        cmd.ExecuteNonQuery();
                        conn.Close();
                        select_tbl_customers();
                        MessageBox.Show("تغییرات با موفقیت اعمال شدند", "تایید ذخیره تغییرات", MessageBoxButtons.OK, MessageBoxIcon.Information);

                    }
                }
                else
                {
                    MessageBox.Show("لطفا ورودی ها را با اطلاعات صحیح پر نمایید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                }
            }
            catch { }
        }

        private void dgv_CellFormatting(object sender, DataGridViewCellFormattingEventArgs e)
        {
            try
            {
                dgv.Rows[e.RowIndex].Cells[0].Value = e.RowIndex + 1;
            }
            catch (Exception error) { MessageBox.Show(error.Message); }
        }

        private void dgv_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {
        }

        private void txt_srch_name_TextChanged(object sender, EventArgs e)
        {
            bindingSource1.Filter = string.Format("name LIKE '%{0}%'", txt_srch_name.Text);
        }

        private void txt_srch_family_TextChanged(object sender, EventArgs e)
        {
            bindingSource1.Filter = string.Format("family LIKE '%{0}%'", txt_srch_family.Text);
        }

        private void txt_srch_tell_TextChanged(object sender, EventArgs e)
        {
           bindingSource1.Filter = string.Format("tell LIKE '%{0}%'", txt_srch_tell.Text);

        }

        private void frm_customers_FormClosed(object sender, FormClosedEventArgs e)
        {
            frm_main.refresh = true;
        }

        private void txt_tell_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
            {
                e.Handled = true;
            }
        }

        private void txt_mob_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
            {
                e.Handled = true;
            }
        }

        private void txt_name_KeyPress(object sender, KeyPressEventArgs e)
        {
            if ((e.KeyChar > 199 || e.KeyChar < 237)
               && (e.KeyChar < 1574 || e.KeyChar > 1594 && e.KeyChar < 1601 || e.KeyChar > 1608)
               && e.KeyChar != 1662 && e.KeyChar != 1668 && e.KeyChar != 1670 && e.KeyChar != 1705
               && e.KeyChar != 1711
               && e.KeyChar != 1740 && e.KeyChar != 8 && e.KeyChar != 32)
            {
                e.Handled = true;
            }
        }

        private void txt_family_KeyPress(object sender, KeyPressEventArgs e)
        {
            if ((e.KeyChar > 199 || e.KeyChar < 237)
               && (e.KeyChar < 1574 || e.KeyChar > 1594 && e.KeyChar < 1601 || e.KeyChar > 1608)
               && e.KeyChar != 1662 && e.KeyChar != 1668 && e.KeyChar != 1670 && e.KeyChar != 1705
               && e.KeyChar != 1711
               && e.KeyChar != 1740 && e.KeyChar != 8 && e.KeyChar != 32)
            {
                e.Handled = true;
            }
        }

        private void txt_edit_name_KeyPress(object sender, KeyPressEventArgs e)
        {
            if ((e.KeyChar > 199 || e.KeyChar < 237)
               && (e.KeyChar < 1574 || e.KeyChar > 1594 && e.KeyChar < 1601 || e.KeyChar > 1608)
               && e.KeyChar != 1662 && e.KeyChar != 1668 && e.KeyChar != 1670 && e.KeyChar != 1705
               && e.KeyChar != 1711
               && e.KeyChar != 1740 && e.KeyChar != 8 && e.KeyChar != 32)
            {
                e.Handled = true;
            }
        }

        private void txt_srch_name_KeyPress(object sender, KeyPressEventArgs e)
        {
            if ((e.KeyChar > 199 || e.KeyChar < 237)
               && (e.KeyChar < 1574 || e.KeyChar > 1594 && e.KeyChar < 1601 || e.KeyChar > 1608)
               && e.KeyChar != 1662 && e.KeyChar != 1668 && e.KeyChar != 1670 && e.KeyChar != 1705
               && e.KeyChar != 1711
               && e.KeyChar != 1740 && e.KeyChar != 8 && e.KeyChar != 32)
            {
                e.Handled = true;
            }
        }

        private void txt_srch_family_KeyPress(object sender, KeyPressEventArgs e)
        {
            if ((e.KeyChar > 199 || e.KeyChar < 237)
               && (e.KeyChar < 1574 || e.KeyChar > 1594 && e.KeyChar < 1601 || e.KeyChar > 1608)
               && e.KeyChar != 1662 && e.KeyChar != 1668 && e.KeyChar != 1670 && e.KeyChar != 1705
               && e.KeyChar != 1711
               && e.KeyChar != 1740 && e.KeyChar != 8 && e.KeyChar != 32)
            {
                e.Handled = true;
            }
        }

        private void txt_edit_family_KeyPress(object sender, KeyPressEventArgs e)
        {
            if ((e.KeyChar > 199 || e.KeyChar < 237)
               && (e.KeyChar < 1574 || e.KeyChar > 1594 && e.KeyChar < 1601 || e.KeyChar > 1608)
               && e.KeyChar != 1662 && e.KeyChar != 1668 && e.KeyChar != 1670 && e.KeyChar != 1705
               && e.KeyChar != 1711
               && e.KeyChar != 1740 && e.KeyChar != 8 && e.KeyChar != 32)
            {
                e.Handled = true;
            }
        }

        private void txt_srch_tell_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
            {
                e.Handled = true;
            }
        }

        private void txt_edit_tell_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
            {
                e.Handled = true;
            }
        }

        private void txt_edit_mob_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
            {
                e.Handled = true;
            }
        }
    }
}
