﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SQLite;

namespace Taxi
{
    public partial class frm_drivers : Form
    {
        public frm_drivers()
        {
            InitializeComponent();
        }

        SQLiteConnection conn = new SQLiteConnection("Data Source=taxidb.db;Version=3");
        public void select_tbl_drivers()
        {
            string QuerySelect = "select * from tbl_drivers";
            SQLiteCommand cmd = new SQLiteCommand(QuerySelect, conn);
            SQLiteDataAdapter da = new SQLiteDataAdapter(cmd);
            DataTable dt = new DataTable();
            da.Fill(dt);
            dgv.DataSource = dt;
            bindingSource1.DataSource = dt;
        }

        private void groupBox2_Enter(object sender, EventArgs e)
        {

        }

        private void button3_Click(object sender, EventArgs e)
        {
            newform();
        }

        public void newform()
        {
            txt_name.Text = "";
            txt_codemelli.Text = "";
            txt_ttavalod.Text = "";
            txt_tsodor.Text = "";
            txt_nud_etebar.Value = 10;
            txt_shgavahiname.Text = "";
            txt_noegavahiname.SelectedIndex = -1;
            txt_malek.Text = "";
            txt_namepedar.Text = "";
            rbtn_asli.Checked = true;
            rbtn_almosana.Checked = false;
            txt_vin.Text = "";
            rbtn_pelaksefid.Checked = true;
            rbtn_pelakzard.Checked = false;
            txt_pelak1.Text = "123";
            txt_pelak2.Text="ب";
            txt_pelak3.Text = "45";
            txt_pelak4.Text = "67";
            cbox_gavahi.Checked = false;
            this.btn_sabt.Enabled = false;
        }

        private void cbox_gavahi_CheckedChanged(object sender, EventArgs e)
        {
            if (cbox_gavahi.Checked == true) { this.btn_sabt.Enabled = true; }
            else { this.btn_sabt.Enabled = false; }
        }

        private void frm_drivers_Load(object sender, EventArgs e)
        {
            select_tbl_drivers();
        }

        private void btn_edit_Click(object sender, EventArgs e)
        {
            new frm_editdrivers().ShowDialog();
        }

        private void dgv_SelectionChanged(object sender, EventArgs e)
        {
            try
            {
                dgv.Columns[1].HeaderText = "نام و نام خانوادگی";
                dgv.Columns[2].HeaderText = "کد ملی";
                dgv.Columns[3].HeaderText = "تاریخ تولد";
                dgv.Columns[4].HeaderText = "تاریخ صدور";
                dgv.Columns[5].HeaderText = "اعتبار";
                dgv.Columns[6].HeaderText = "شماره گواهینامه";
                dgv.Columns[7].HeaderText = "نوع گواهینامه";
                dgv.Columns[8].HeaderText = "مشخصات مالک";
                dgv.Columns[9].HeaderText = "نام پدر";
                dgv.Columns[10].HeaderText = "اصلی / المثنی";
                dgv.Columns[11].HeaderText = "VIN";
                dgv.Columns[12].HeaderText = "پلاک";
                dgv.Columns[13].HeaderText = "رنگ پلاک";
                ////////////////////////////////////////////////////////////////////////
                dgv.Columns["radif"].Width = 50;
                dgv.Columns[1].Width = 100;
                dgv.Columns[2].Width = 80;
                dgv.Columns[3].Width = 80;
                dgv.Columns[4].Width = 80;
                dgv.Columns[5].Width = 50;
                dgv.Columns[6].Width = 100;
                dgv.Columns[7].Width = 100;
                dgv.Columns[8].Width = 100;
                dgv.Columns[9].Width = 80;
                dgv.Columns[10].Width = 100;
                dgv.Columns[11].Width = 110;
                dgv.Columns[12].Width = 80;
                dgv.Columns[13].Width = 80;
                ///////////////////////////////////////////////////////////////////////////
                dgv.AlternatingRowsDefaultCellStyle.BackColor = Color.Silver;
            }
            catch(Exception err)
            {
                MessageBox.Show(err.Message);
            }
        }

        private void dgv_CellFormatting(object sender, DataGridViewCellFormattingEventArgs e)
        {
            try
            {
                dgv.Rows[e.RowIndex].Cells[0].Value = e.RowIndex + 1;
            }
            catch (Exception error) { MessageBox.Show(error.Message); }
        }

        private void btn_sabt_Click(object sender, EventArgs e)
        {
            try
            {

                if (txt_name.Text != "" && txt_codemelli.Text != "" && txt_shgavahiname.Text != "" && txt_malek.Text != "" && txt_vin.Text != "")
                {
                    string pelak = txt_pelak3.Text + txt_pelak4.Text + txt_pelak2.Text + txt_pelak1.Text;
                    string queryInsert = "insert into tbl_drivers (name,codemelli,ttavalod,tsodor,etebar,shgavahiname,noegavahiname,malek,namepedar,asli,vin,pelak,pelakcolor) values(@name,@codemelli,@ttavalod,@tsodor,@etebar,@shgavahiname,@noegavahiname,@malek,@namepedar,@asli,@vin,@pelak,@pelakcolor)";
                    SQLiteCommand cmd = new SQLiteCommand(queryInsert, conn);
                    cmd.Parameters.AddWithValue("@name", txt_name.Text);
                    cmd.Parameters.AddWithValue("@codemelli", txt_codemelli.Text);
                    cmd.Parameters.AddWithValue("@ttavalod", txt_ttavalod.Text);
                    cmd.Parameters.AddWithValue("@tsodor", txt_tsodor.Text);
                    cmd.Parameters.AddWithValue("@etebar", txt_nud_etebar.Value);
                    cmd.Parameters.AddWithValue("@shgavahiname", txt_shgavahiname.Text);
                    cmd.Parameters.AddWithValue("@noegavahiname", txt_noegavahiname.Text);
                    cmd.Parameters.AddWithValue("@malek", txt_malek.Text);
                    cmd.Parameters.AddWithValue("@namepedar", txt_namepedar.Text);
                    cmd.Parameters.AddWithValue("@asli", asli);
                    cmd.Parameters.AddWithValue("@vin", txt_vin.Text);
                    cmd.Parameters.AddWithValue("@pelak", pelak);
                    cmd.Parameters.AddWithValue("@pelakcolor", pelakcolor);
                    conn.Open();
                    cmd.ExecuteNonQuery();
                    conn.Close();
                    select_tbl_drivers();
                    MessageBox.Show("راننده جدید با موفقیت اضافه شد", "پیغام", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    newform();
                }
                else
                {
                    MessageBox.Show("لطفا ورودی ها را با اطلاعات صحیح پر نمایید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                }
            }
            catch (Exception error)
            {
                MessageBox.Show(error.Message + "\n\rقبلا یک راننده با این مشخصات ثبت شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
        }
        string asli = "اصلی";
        private void rbtn_asli_CheckedChanged(object sender, EventArgs e)
        {
            asli = "اصلی";
        }
        private void rbtn_almosana_CheckedChanged(object sender, EventArgs e)
        {
            asli = "المنثی";
        }
        string pelakcolor = "سفید";
        private void rbtn_pelakzard_CheckedChanged(object sender, EventArgs e)
        {
            pelakcolor = "زرد";
        }

        private void rbtn_pelaksefid_CheckedChanged(object sender, EventArgs e)
        {
            pelakcolor = "سفید";
        }

        private void frm_drivers_FormClosing(object sender, FormClosingEventArgs e)
        {
            frm_main.refresh = true;
        }

        private void txt_codemelli_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
            {
                e.Handled = true;
            }
        }

        private void txt_shgavahiname_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
            {
                e.Handled = true;
            }
        }

        private void txt_pelak1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
            {
                e.Handled = true;
            }
        }

        private void txt_pelak3_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
            {
                e.Handled = true;
            }
        }

        private void txt_pelak4_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(char.IsDigit(e.KeyChar) || char.IsControl(e.KeyChar)))
            {
                e.Handled = true;
            }
        }

        private void txt_pelak2_KeyPress(object sender, KeyPressEventArgs e)
        {
            if ((e.KeyChar > 199 || e.KeyChar < 237)
               && (e.KeyChar < 1574 || e.KeyChar > 1594 && e.KeyChar < 1601 || e.KeyChar > 1608)
               && e.KeyChar != 1662 && e.KeyChar != 1668 && e.KeyChar != 1670 && e.KeyChar != 1705
               && e.KeyChar != 1711
               && e.KeyChar != 1740 && e.KeyChar != 8 && e.KeyChar != 32)
            {
                e.Handled = true;
            }
        }
    }
}
