﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SQLite;

namespace Taxi
{
    public partial class frm_editdrivers : Form
    {
        public frm_editdrivers()
        {
            InitializeComponent();
        }

        SQLiteConnection conn = new SQLiteConnection("Data Source=taxidb.db;Version=3");
        string pelak, asli, pelakcolor;
        public void select_tbl_drivers()
        {
            string QuerySelect = "select * from tbl_drivers";
            SQLiteCommand cmd = new SQLiteCommand(QuerySelect, conn);
            SQLiteDataAdapter da = new SQLiteDataAdapter(cmd);
            DataTable dt = new DataTable();
            da.Fill(dt);
            dgv.DataSource = dt;
            bindingSource1.DataSource = dt;
        }
        public void newform()
        {
            txt_name.Text = "";
            txt_codemelli.Text = "";
            txt_ttavalod.Text = "";
            txt_tsodor.Text = "";
            txt_nud_etebar.Value = 10;
            txt_shgavahiname.Text = "";
            txt_noegavahiname.Text = "";
            txt_malek.Text = "";
            txt_namepedar.Text = "";
            rbtn_asli.Checked = true;
            rbtn_almosana.Checked = false;
            txt_vin.Text = "";
            rbtn_pelaksefid.Checked = true;
            rbtn_pelakzard.Checked = false;
            txt_pelak1.Text = "123";
            txt_pelak2.Text = "ب";
            txt_pelak3.Text = "45";
            txt_pelak4.Text = "67";
        }

        private void frm_editdrivers_Load(object sender, EventArgs e)
        {
            select_tbl_drivers();
        }

        private void btn_edit_Click(object sender, EventArgs e)
        {
            try
            {
                if (txt_name.Text != "" && txt_codemelli.Text != "" && txt_shgavahiname.Text != "" && txt_malek.Text != "" && txt_vin.Text != "")
                {
                    DialogResult result;
                    result = MessageBox.Show("آیا مطمئن هستید که میخواهید اطلاعات راننده انتخاب شده را تغییر دهید؟", "سوال؟", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
                    if (result == DialogResult.Yes)
                    {
                        string pelak = txt_pelak3.Text + txt_pelak4.Text + txt_pelak2.Text + txt_pelak1.Text;
                        string queryUpdate = "update tbl_drivers set  name=@name, codemelli=@codemelli, ttavalod=@ttavalod, tsodor=@tsodor, etebar=@etebar, shgavahiname=@shgavahiname, noegavahiname=@noegavahiname, malek=@malek, namepedar=@namepedar, asli=@asli, vin=@vin, pelak=@pelak, pelakcolor=@pelakcolor where codemelli=@codemelli";
                        SQLiteCommand cmd = new SQLiteCommand(queryUpdate, conn);
                        cmd.Parameters.AddWithValue("@name", txt_name.Text);
                        cmd.Parameters.AddWithValue("@codemelli", txt_codemelli.Text);
                        cmd.Parameters.AddWithValue("@ttavalod", txt_ttavalod.Text);
                        cmd.Parameters.AddWithValue("@tsodor", txt_tsodor.Text);
                        cmd.Parameters.AddWithValue("@etebar", txt_nud_etebar.Value);
                        cmd.Parameters.AddWithValue("@shgavahiname", txt_shgavahiname.Text);
                        cmd.Parameters.AddWithValue("@noegavahiname", txt_noegavahiname.Text);
                        cmd.Parameters.AddWithValue("@malek", txt_malek.Text);
                        cmd.Parameters.AddWithValue("@namepedar", txt_namepedar.Text);
                        cmd.Parameters.AddWithValue("@asli", asli);
                        cmd.Parameters.AddWithValue("@vin", txt_vin.Text);
                        cmd.Parameters.AddWithValue("@pelak", pelak);
                        cmd.Parameters.AddWithValue("@pelakcolor", pelakcolor);
                        conn.Open();
                        cmd.ExecuteNonQuery();
                        conn.Close();
                        select_tbl_drivers();
                        MessageBox.Show("تغییرات با موفقیت اعمال شدند", "تایید ذخیره تغییرات", MessageBoxButtons.OK, MessageBoxIcon.Information);

                    }
                }
                else
                {
                    MessageBox.Show("لطفا ورودی ها را با اطلاعات صحیح پر نمایید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                }
            }
            catch (Exception error) { MessageBox.Show(error.Message); }
        }

        private void rbtn_asli_CheckedChanged(object sender, EventArgs e)
        {
            asli = "اصلی";
        }

        private void rbtn_almosana_CheckedChanged(object sender, EventArgs e)
        {
            asli = "المنثی";
        }

        private void rbtn_pelaksefid_CheckedChanged(object sender, EventArgs e)
        {
            pelakcolor = "سفید";
        }

        private void rbtn_pelakzard_CheckedChanged(object sender, EventArgs e)
        {
            pelakcolor = "زرد";
        }

        private void btn_delete_Click(object sender, EventArgs e)
        {
            DialogResult result;
            result = MessageBox.Show("آیا از حذف راننده انتخاب شده مطمعن هستید؟", "سوال؟", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (result == DialogResult.Yes)
            {
                try
                {
                    string querydelete = "delete from tbl_drivers where codemelli=@codemelli";
                    SQLiteCommand cmd = new SQLiteCommand(querydelete, conn);
                    cmd.Parameters.AddWithValue("@codemelli", txt_codemelli.Text);
                    conn.Open();
                    cmd.ExecuteNonQuery();
                    conn.Close();
                    select_tbl_drivers();
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                }
                MessageBox.Show("راننده انتخاب شده با موفقیت حذف گردید", "تایید حذف راننده", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
        }

        private void btn_srch_name_TextChanged(object sender, EventArgs e)
        {
            bindingSource1.Filter = string.Format("name LIKE '%{0}%'", txt_srch_name.Text);
        }

        private void txt_srch_codemelli_TextChanged(object sender, EventArgs e)
        {
            bindingSource1.Filter = string.Format("codemelli LIKE '%{0}%'", txt_srch_codemelli.Text);
        }

        private void txt_srch_malek_TextChanged(object sender, EventArgs e)
        {
            bindingSource1.Filter = string.Format("malek LIKE '%{0}%'", txt_srch_malek.Text);
        }

        private void txt_srch_pelak_TextChanged(object sender, EventArgs e)
        {
            bindingSource1.Filter = string.Format("pelak LIKE '%{0}%'", txt_srch_pelak.Text);
        }

        private void groupBox4_Enter(object sender, EventArgs e)
        {

        }

        private void dgv_SelectionChanged(object sender, EventArgs e)
        {
            try
            {
                ///////////////////pelak/////////////////////////////////
                pelak = dgv.CurrentRow.Cells["pelak"].Value.ToString();
                txt_pelak3.Text = pelak.Substring(0, 2);
                pelak=pelak.Remove(0, 2);
                txt_pelak4.Text = pelak.Substring(0, 2);
                pelak = pelak.Remove(0, 2);
                txt_pelak2.Text = pelak.Substring(0, 1);
                pelak = pelak.Remove(0, 1);
                txt_pelak1.Text = pelak;
                //////////////////////////////////////////////////////////
                //////////////////Pelakcolor/////////////////////////////
                asli = dgv.CurrentRow.Cells["asli"].Value.ToString();
                if (asli == "اصلی") { rbtn_asli.Checked = true; } else { rbtn_almosana.Checked = true; }
                //////////////////////////////////////////////////////////
                //////////////////asli/almosana/////////////////////////////
                pelakcolor = dgv.CurrentRow.Cells["pelakcolor"].Value.ToString();
                if (pelakcolor == "سفید") { rbtn_pelaksefid.Checked = true; } else { rbtn_pelakzard.Checked = true; }
                //////////////////////////////////////////////////////////
                txt_name.Text = dgv.CurrentRow.Cells["name"].Value.ToString();
                txt_codemelli.Text = dgv.CurrentRow.Cells["codemelli"].Value.ToString();
                txt_ttavalod.Text = dgv.CurrentRow.Cells["ttavalod"].Value.ToString();
                txt_tsodor.Text = dgv.CurrentRow.Cells["tsodor"].Value.ToString();
                txt_nud_etebar.Value = Convert.ToInt32(dgv.CurrentRow.Cells["etebar"].Value);
                txt_shgavahiname.Text = dgv.CurrentRow.Cells["shgavahiname"].Value.ToString();
                txt_noegavahiname.Text = dgv.CurrentRow.Cells["noegavahiname"].Value.ToString();
                txt_malek.Text = dgv.CurrentRow.Cells["malek"].Value.ToString();
                txt_namepedar.Text = dgv.CurrentRow.Cells["namepedar"].Value.ToString();
                txt_vin.Text = dgv.CurrentRow.Cells["vin"].Value.ToString();
                //////////////////////////////////////////////////////////////////////////
                dgv.Columns[1].HeaderText = "نام و نام خانوادگی";
                dgv.Columns[2].HeaderText = "کد ملی";
                dgv.Columns[3].HeaderText = "تاریخ تولد";
                dgv.Columns[4].HeaderText = "تاریخ صدور";
                dgv.Columns[5].HeaderText = "اعتبار";
                dgv.Columns[6].HeaderText = "شماره گواهینامه";
                dgv.Columns[7].HeaderText = "نوع گواهینامه";
                dgv.Columns[8].HeaderText = "مشخصات مالک";
                dgv.Columns[9].HeaderText = "نام پدر";
                dgv.Columns[10].HeaderText = "اصلی / المثنی";
                dgv.Columns[11].HeaderText = "VIN";
                dgv.Columns[12].HeaderText = "پلاک";
                dgv.Columns[13].HeaderText = "رنگ پلاک";
                ////////////////////////////////////////////////////////////////////////
                dgv.Columns["radif"].Width = 50;
                dgv.Columns[1].Width = 100;
                dgv.Columns[2].Width = 80;
                dgv.Columns[3].Width = 80;
                dgv.Columns[4].Width = 80;
                dgv.Columns[5].Width = 50;
                dgv.Columns[6].Width = 100;
                dgv.Columns[7].Width = 100;
                dgv.Columns[8].Width = 100;
                dgv.Columns[9].Width = 80;
                dgv.Columns[10].Width = 100;
                dgv.Columns[11].Width = 110;
                dgv.Columns[12].Width = 80;
                dgv.Columns[13].Width = 80;
                ///////////////////////////////////////////////////////////////////////////
                dgv.AlternatingRowsDefaultCellStyle.BackColor = Color.Silver;
            }
            catch (Exception err)
            {
                MessageBox.Show(err.Message);
            }
        }

        private void dgv_CellFormatting(object sender, DataGridViewCellFormattingEventArgs e)
        {
            try
            {
                dgv.Rows[e.RowIndex].Cells[0].Value = e.RowIndex + 1;
            }
            catch (Exception error) { MessageBox.Show(error.Message); }
        }
    }
    
}
