﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SQLite;

namespace Taxi
{
    public partial class frm_locations : Form
    {
        public frm_locations()
        {
            InitializeComponent();
        }

        SQLiteConnection conn = new SQLiteConnection("Data Source=taxidb.db;Version=3");
        public void select_tbl_locations()
        {
            string QuerySelect = "select * from tbl_locations";
            SQLiteCommand cmd = new SQLiteCommand(QuerySelect, conn);
            SQLiteDataAdapter da = new SQLiteDataAdapter(cmd);
            DataTable dt = new DataTable();
            da.Fill(dt);
            dgv.DataSource = dt;
        }
        int shenase=1000;
        public void newform()
        {
            dgv.ClearSelection();
            txt_address.Text = "";
            if(dgv.RowCount<1)
            {
                txt_shenase.Text = shenase.ToString();
            }
            else
            {
                txt_shenase.Text= (Convert.ToInt32(dgv.Rows[dgv.RowCount - 1].Cells[1].Value) + 1).ToString();
            }
            
        }
        private void frm_locations_Load(object sender, EventArgs e)
        {
            select_tbl_locations();
            newform();
        }

        private void btn_new_Click(object sender, EventArgs e)
        {
            newform();
        }

        private void btn_sabt_Click(object sender, EventArgs e)
        {
            try
            {

                if (txt_address.Text != "")
                {
                    string queryInsert = "insert into tbl_locations (shenase,address) values(@shenase,@address)";
                    SQLiteCommand cmd = new SQLiteCommand(queryInsert, conn);
                    cmd.Parameters.AddWithValue("@shenase", txt_shenase.Text);
                    cmd.Parameters.AddWithValue("@address", txt_address.Text);
                    conn.Open();
                    cmd.ExecuteNonQuery();
                    conn.Close();
                    select_tbl_locations();
                    newform();
                    MessageBox.Show("مسیر جدید با موفقیت اضافه شد", "پیغام", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    
                }
                else
                {
                    MessageBox.Show("لطفا ورودی ها را با اطلاعات صحیح پر نمایید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                }
            }
            catch
            {
                MessageBox.Show("قبلا یک مسیر با این مشخصات ثبت شده است\n\r لطفا از دکمه [جدید] استفاده نمایید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
        }

        private void dgv_SelectionChanged(object sender, EventArgs e)
        {
            try
            {
                dgv.Columns[1].HeaderText = "شناسه";
                dgv.Columns[2].HeaderText = "آدرس";
                ////////////////////////////////////////////////////////////////////////
                txt_shenase.Text = dgv.CurrentRow.Cells[1].Value.ToString();
                txt_address.Text = dgv.CurrentRow.Cells[2].Value.ToString();
                //////////////////////////////////////////////////////////////////////////
                dgv.Columns[0].Width = 40;
                dgv.Columns[1].Width = 60;
                dgv.Columns[2].Width = 276;
                ///////////////////////////////////////////////////////////////////////////
                dgv.AlternatingRowsDefaultCellStyle.BackColor = Color.Silver;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

        }

        private void btn_delete_Click(object sender, EventArgs e)
        {
            DialogResult result;
            result = MessageBox.Show("آیا از حذف مسیر انتخاب شده مطمعن هستید؟", "سوال؟", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (result == DialogResult.Yes)
            {
                try
                {
                    string querydelete = "delete from tbl_locations where shenase=@shenase";
                    SQLiteCommand cmd = new SQLiteCommand(querydelete, conn);
                    cmd.Parameters.AddWithValue("@shenase", txt_shenase.Text);
                    conn.Open();
                    cmd.ExecuteNonQuery();
                    conn.Close();
                    select_tbl_locations();
                    newform();
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                }
                MessageBox.Show("مسیر انتخاب شده با موفقیت حذف گردید", "تایید حذف مسیر", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
        }

        private void dgv_CellFormatting(object sender, DataGridViewCellFormattingEventArgs e)
        {
            try
            {
                dgv.Rows[e.RowIndex].Cells[0].Value = e.RowIndex + 1;
            }
            catch (Exception error) { MessageBox.Show(error.Message); }
        }

        private void frm_locations_FormClosing(object sender, FormClosingEventArgs e)
        {
            frm_main.refresh = true;
        }
    }
}