﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SQLite;

namespace Taxi
{
    public partial class frm_users : Form
    {
        public frm_users()
        {
            InitializeComponent();
        }

        SQLiteConnection conn = new SQLiteConnection("Data Source=taxidb.db;Version=3");
        public void select_tbl_users()
        {
            string QuerySelect = "select * from tbl_users";
            SQLiteCommand cmd = new SQLiteCommand(QuerySelect, conn);
            SQLiteDataAdapter da = new SQLiteDataAdapter(cmd);
            DataTable dt = new DataTable();
            da.Fill(dt);
            dgv.DataSource = dt;
        }
        public void select_tbl_users2()
        {
            string QuerySelect = "select * from tbl_users";
            SQLiteCommand cmd = new SQLiteCommand(QuerySelect, conn);
            SQLiteDataAdapter da = new SQLiteDataAdapter(cmd);
            DataTable dt = new DataTable();
            da.Fill(dt);
            listBox1.DataSource = dt;
            this.listBox1.DataSource = dt;
            this.listBox1.DisplayMember = "username";
            bindingSource1.DataSource = dt;
        }

        public void newform()
        {
            dgv.ClearSelection();
            txt_username.Text = "";
            txt_password.Text = "";
            lbl_username.Text = "";
            lbl_password.Text = "";
        }
        int minrow;
        private void frm_users_Load(object sender, EventArgs e)
        {
            select_tbl_users();
            select_tbl_users2();
            minrow = dgv.RowCount;
            newform();

        }

        private void btn_sabt_Click(object sender, EventArgs e)
        {
            try
            {

                if (txt_username.Text!=""&&txt_password.Text!="")
                {
                    if (listBox1.Text == string.Empty)
                    {
                        string queryInsert = "insert into tbl_users (username,password) values(@username,@password)";
                        SQLiteCommand cmd = new SQLiteCommand(queryInsert, conn);
                        cmd.Parameters.AddWithValue("@username", txt_username.Text);
                        cmd.Parameters.AddWithValue("@password", txt_password.Text);
                        conn.Open();
                        cmd.ExecuteNonQuery();
                        conn.Close();
                        select_tbl_users();
                        select_tbl_users2();
                        newform();
                        MessageBox.Show("کاربر جدید با موفقیت اضافه شد", "پیغام", MessageBoxButtons.OK, MessageBoxIcon.Information);
                        minrow = dgv.RowCount;
                    }
                    else
                    {
                        MessageBox.Show("قبلا یک کاربر با این مشخصات ثبت شده است\n\r لطفا از دکمه [جدید] استفاده نمایید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    }
                }
                else
                {
                    MessageBox.Show("لطفا ورودی ها را با اطلاعات صحیح پر نمایید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                }
            }
            catch
            {
                MessageBox.Show("قبلا یک کاربر با این مشخصات ثبت شده است\n\r لطفا از دکمه [جدید] استفاده نمایید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
        }

        private void btn_delete_Click(object sender, EventArgs e)
        {
            if (lbl_username.Text != "" && lbl_password.Text != "")
            {
                DialogResult result;
                result = MessageBox.Show("آیا از حذف کاربر انتخاب شده مطمعن هستید؟", "سوال؟", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
                if (result == DialogResult.Yes)
                {
                    if (minrow > 1)
                    {
                        try
                        {
                            string querydelete = "delete from tbl_users where username=@username";
                            SQLiteCommand cmd = new SQLiteCommand(querydelete, conn);
                            cmd.Parameters.AddWithValue("@username", lbl_username.Text);
                            cmd.Parameters.AddWithValue("@password", lbl_password.Text);
                            conn.Open();
                            cmd.ExecuteNonQuery();
                            conn.Close();
                            select_tbl_users();
                            select_tbl_users2();
                            newform();
                            minrow = dgv.RowCount;
                        }
                        catch (Exception ex)
                        {
                            MessageBox.Show(ex.Message);
                        }
                        MessageBox.Show("کاربر انتخاب شده با موفقیت حذف گردید", "تایید حذف کاربر", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    }
                    else
                    {
                        MessageBox.Show("تعداد کاربران نمیتواند کمتر از [1] باشد ", "هشدار ", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                    }
                }
            }
            else
            {
                MessageBox.Show("لطفا کاربر مورد نظر را انتخاب نمایید", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
        }

        private void dgv_SelectionChanged(object sender, EventArgs e)
        {
            try
            {
                lbl_username.Text = dgv.CurrentRow.Cells["username"].Value.ToString();
                lbl_password.Text = dgv.CurrentRow.Cells["password"].Value.ToString();
                //////////////////////////////////////////////////////////////////////////
                dgv.Columns["username"].HeaderText = "نام کاربری";
                dgv.Columns["password"].HeaderText = "کلمه عبور";
                ////////////////////////////////////////////////////////////////////////
                dgv.Columns["radif"].Width = 40;
                dgv.Columns["username"].Width = 126;
                dgv.Columns["password"].Width = 126;
                ///////////////////////////////////////////////////////////////////////////
                dgv.AlternatingRowsDefaultCellStyle.BackColor = Color.Silver;
            }
            catch { }
        }

        private void dgv_CellFormatting(object sender, DataGridViewCellFormattingEventArgs e)
        {
            try
            {
                dgv.Rows[e.RowIndex].Cells[0].Value = e.RowIndex + 1;
            }
            catch (Exception error) { MessageBox.Show(error.Message); }
        }

        private void btn_new_Click(object sender, EventArgs e)
        {
            select_tbl_users();
            newform();
            Refresh();
        }

        private void txt_username_TextChanged(object sender, EventArgs e)
        {
            bindingSource1.Filter = string.Format("username LIKE '%{0}%'", txt_username.Text);
        }
    }
}
